#!/bin/sh
# init-functions tests

NAME=test-daemon
DAEMON=/usr/lib/ci-tests/lsb/$NAME
PIDFILE=/var/run/$NAME.pid
PASSMSG="[Passed]"
FAILMSG="[FAIL!]"

. /lib/lsb/init-functions

#Check that no other instances are running
if [ $(pidof test-daemon) ] 
then 
	log_warning_msg "test-daemon already running"
	log_warning_msg "Killing all instances"
	killall test-daemon
	sleep 1	
fi
rm $PIDFILE > /dev/null 2>&1

#Start a daemon
start_daemon -p /var/run/test-daemon.pid $DAEMON &
log_success_msg "Started daemon";

sleep 1
#Kill daemon
killproc $DAEMON
sleep 1

#Check that no process
log_progress_msg "Test that process is not running anymore..."
if pgrep $NAME 
then
	log_failure_msg "Failed...process is still running"
	return 1
else	
	log_success_msg $PASSMSG
fi

log_progress_msg "Test if pid file was removed..."
if [ -e $PIDFILE ] 
then 
	log_warning_msg "Warning...pid file still exists!"
fi

log_progress_msg "Test status_of_proc after killing"
if ( status_of_proc $DAEMON > /dev/null )
then
	log_failure_msg "$FAILMSG"
	return 1
else	
	log_success_msg "$PASSMSG"	
fi
