#!/bin/sh
# init-functions logging tests

. /lib/lsb/init-functions
LOGLSBOUTFILE=/usr/lib/ci-tests/lsb/logbaseoutput.log
LOGDEBOUTFILE=/usr/lib/ci-tests/lsb/logdeboutput.log
LOGLSBCMPFILE=/usr/lib/ci-tests/lsb/logbaseoutput.log
LOGDEBCMPFILE=/usr/lib/ci-tests/lsb/logdeboutput.log
PASSMSG="[Passed]"
FAILMSG="[FAIL!]"
result=0


echo "Testing logging functions from LSB"
log_success_msg "Success message" | cat > $LOGLSBOUTFILE
log_failure_msg "Failure" | cat >> $LOGLSBOUTFILE
log_warning_msg "Warning" "message"| cat >> $LOGLSBOUTFILE

if [ $(diff $LOGLSBCMPFILE $LOGLSBOUTFILE) ]
then 
  echo $FAILMSG
  result=1
else
  echo $PASSMSG
fi

#See Debian bug 596529
echo "Testing logging functions added by Debian"

log_begin_msg "begin" | cat > $LOGDEBOUTFILE
log_action_begin_msg "action begin" | cat >> $LOGDEBOUTFILE
log_action_cont_msg "action cont" | cat >> $LOGDEBOUTFILE
log_action_end_msg 0 "Success action end " | cat >> $LOGDEBOUTFILE
log_action_end_msg 1 "Failure action end" | cat >> $LOGDEBOUTFILE
log_daemon_msg "daemon" | cat>> $LOGDEBOUTFILE
log_end_msg 0 "Success end" | cat>> $LOGDEBOUTFILE
log_end_msg 1 "Failure end" | cat >> $LOGDEBOUTFILE
log_progress_msg "progress" | cat >> $LOGDEBOUTFILE

if [ $(diff $LOGDEBCMPFILE $LOGDEBOUTFILE) ]
then 
  echo $FAILMSG
  result=1
else
  echo $PASSMSG
fi

return $result